OD(1)

NAVN
od - dump filer i oktal og andre formater

SYNOPSIS
od [FLAG]... [FIL]...
od [-abcdfilosx]... [FIL] [[+]AFSÆT[.][b]]
od --traditional [FLAG]... [FIL] [[+]AFSÆT[.][b] [+][MÆRKE][.][b]]

BESKRIVELSE

Skriv en entydig repræsentation, oktale byte forvalgt, af FIL til standard-ud. Med mere end ét FIL-argument sammenkædes de i den angivne rækkefølge som inddata.

Hvis ingen FIL er angivet, eller FIL er -, læses fra standard-ind.

Hvis kommandoen kan opfattes i henhold til såvel første som anden parameterform, antages anden form hvis sidste operand begynder med + eller, hvis der er flere end to operander, et ciffer. Ved en AFSÆT-operand forstås -j AFSÆT. MÆRKE er pseudoadressen til den første udskrevne byte, som øges mens udskriften pågår. For AFSÆT og MÆRKE indikerer en 0x- eller 0X-forstavelse hexadecimalt talformat. Endelser kan være "." for oktal, og b for blokke på 512 bytes.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-A, --address-radix=RADIX
    udskriftsformat for filafsæt. RADIX er en af [doxn], for titalssystem, oktal, hex eller intet

--endian={big|little}
    ombyt inputbyte ifølge den givne rækkefølge

-j, --skip-bytes=BYTES
    overspring første BYTE fra hver fil

-N, --read-bytes=BYTES
    begræns dump til BYTE indbyte

-S BYTE, --strings[=BYTE]
    udskriv strenge med mindst BYTE grafiske tegn. 3 antages når BYTE ikke er givet

-t, --format=TYPE
    vælg udformater

-v, --output-duplicates
    brug ikke * for at markere linjefjernelse

-w[BYTE], --width[=BYTE]
    skriv BYTE byte per udlinje. 32 antages når BYTE ikke er givet.

--traditional
    acceptér argumenter på tredje form jf. ovenfor

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

  Traditionelle formatangivelser kan blandes, og de akkumulerer:

-a  samme som -t a, vælg navngivne tegn, idet højeste bit ignoreres

-b  samme som -t o1, vælg oktalbyte

-c  samme som -t c, vælg udskrivelige tegn eller omvendt skråstregsnotation

-d  samme som -t u2, vælg decimale 2-byte-enheder uden fortegn

-f  samme som -t fF, vælg flydende tal

-i  samme som -t dI, vælg decimalheltal

-l  samme som -t dL, vælg lange decimalheltal

-o  samme som -t o2, vælg oktale 2-byte-enheder

-s  samme som -t d2, vælg decimale 2-byte-enheder

-x  samme som -t x2, vælg hexadecimale 2-byte-enheder

  TYPE består af en eller flere af disse specifikationer:

a   navngivet tegn, idet mest betydende (high-order) bit ignoreres

c   tegn der kan udskrives eller omvendt skråstregsnotation

d[STØR]
    decimal med fortegn, STØR byte per tal

f[STØR]
    flydende tal, STØR byte per tal

o[STØR]
    oktal, STØR byte per tal

u[STØR]
    decimal uden fortegn, STØR byte per tal

x[STØR]
    hexadecimal, STØR byte per tal

STØR er et tal. For TYPE i [doux], kan STØR også være C for sizeof(char), S for sizeof(short), I for sizeof(int) eller L for sizeof(long). Når TYPE er f, kan STØR være F for sizeof(float), D for sizeof(double) eller L for sizeof(long double).

Ved tilføjelse af z-suffiks til enhver type vil der vises ikke-blanke tegn til slut i hver udlinje.

  BYTE er hex med 0x eller 0X-præfiks, og kan have et multiplikativt suffiks:

b   512

kB  1000

K   1024

MB  1000*1000

M   1024*1024

og så videre for G, T, P, E, Z, Y. Binært præfiks kan også bruges: KiB=K, MiB=M og så videre.

EKSEMPLER

od -A x -t x1z -v
    Vis hexdump-format som resultat

od -A o -t oS -w16
    Uddataformatet brugt af od

FORFATTER
Skrevet af Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/od>
eller lokalt tilgængelig via: info '(coreutils) od invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.